import { FhevmInstanceConfig } from './config';
import { PublicParams, ZKInput } from './encrypt';
import { EIP712 } from './keypair';
export type FhevmInstance = {
    createEncryptedInput: (contractAddress: string, userAddress: string) => ZKInput;
    generateKeypair: () => {
        publicKey: string;
        privateKey: string;
    };
    createEIP712: (publicKey: string, contractAddress: string, userAddress?: string) => EIP712;
    reencrypt: (handle: bigint, privateKey: string, publicKey: string, signature: string, contractAddress: string, userAddress: string) => Promise<bigint>;
    getPublicKey: () => {
        publicKeyId: string;
        publicKey: Uint8Array;
    } | null;
    getPublicParams: (bits: keyof PublicParams) => {
        publicParams: Uint8Array;
        publicParamsId: string;
    } | null;
};
export { generateKeypair, createEIP712 } from './keypair';
export declare const createInstance: (config: FhevmInstanceConfig) => Promise<FhevmInstance>;
